Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::WaveReader Class Reference

Waveリーダ. More...

`#include <WaveReader.h>`

Inheritance diagram for Lamp::WaveReader:

List of all members.

## Public Member Functions
| WaveReader (const FilePath &filePath)
| コンストラクタ
virtual | ~WaveReader ()
| デストラクタ
virtual u_int | getSize () const
| サイズの取得
virtual int | getSample () const
| サンプル数の取得
virtual int | getChannel () const
| チャンネル数の取得
virtual int | getBit () const
| ビット数の取得
virtual const String & | getComment ()
| コメントの取得
virtual void | setCursor (u_int cursor)
| 位置の設定
virtual u_int | getCursor ()
| 位置の取得
virtual bool | readHeader ()
| ヘッダ読み込み
virtual int | read (void *buffer, u_int size)
| 読み込み
## Static Public Member Functions
bool | isWaveFileName (const FilePath &filePath)
| ファイルがWaveファイルか

## Detailed Description

Waveリーダ.

Definition at line 37 of file WaveReader.h.

## Constructor & Destructor Documentation

Lamp::WaveReader::WaveReader | ( | const FilePath & | filePath | ) |

  | コンストラクタ Parameters:
  filePath | ファイルパス
Definition at line 32 of file WaveReader.cpp. References NULL.

## Member Function Documentation

virtual int Lamp::WaveReader::getBit | ( |  | ) | const`[inline, virtual]`

| ビット数の取得 Returns: ビット数 Implements Lamp::SoundReader. Definition at line 82 of file WaveReader.h. References Assert.

virtual int Lamp::WaveReader::getChannel | ( |  | ) | const`[inline, virtual]`

| チャンネル数の取得 Returns: チャンネル数 Implements Lamp::SoundReader. Definition at line 73 of file WaveReader.h. References Assert.

virtual const String& Lamp::WaveReader::getComment | ( |  | ) | `[inline, virtual]`

| コメントの取得 Returns: コメント Implements Lamp::SoundReader. Definition at line 91 of file WaveReader.h. References Assert.

virtual u_int Lamp::WaveReader::getCursor | ( |  | ) | `[inline, virtual]`

| 位置の取得 Returns: 位置 Implements Lamp::SoundReader. Definition at line 107 of file WaveReader.h. References u_int.

virtual int Lamp::WaveReader::getSample | ( |  | ) | const`[inline, virtual]`

| サンプル数の取得 Returns: サンプル数 Implements Lamp::SoundReader. Definition at line 64 of file WaveReader.h. References Assert.

virtual u_int Lamp::WaveReader::getSize | ( |  | ) | const`[inline, virtual]`

| サイズの取得 Returns: サイズ Implements Lamp::SoundReader. Definition at line 55 of file WaveReader.h. References Assert, and u_int.

bool Lamp::WaveReader::isWaveFileName | ( | const FilePath & | filePath | ) | `[inline, static]`

  | ファイルがWaveファイルか Parameters:
  filePath | ファイルパス
Returns: Waveファイルならtrue Definition at line 130 of file WaveReader.h. References Lamp::String::equals(), and Lamp::FilePath::getExtension().

int Lamp::WaveReader::read | ( | void * | buffer,
|  | u_int | size
| ) | `[virtual]`

  | 読み込み Parameters:
  buffer | 読み込みバッファ
  size | 読み込みサイズ
Returns: 読み込んだサイズ。終端なら0、失敗すれば-1 Implements Lamp::SoundReader. Definition at line 110 of file WaveReader.cpp.

bool Lamp::WaveReader::readHeader | ( |  | ) | `[virtual]`

| ヘッダ読み込み Returns: 成功すればtrue Implements Lamp::SoundReader. Definition at line 56 of file WaveReader.cpp. References Assert, Lamp::String::getBytes(), Lamp::FilePath::getPath(), and NULL.

void Lamp::WaveReader::setCursor | ( | u_int | cursor | ) | `[virtual]`

  | 位置の設定 Parameters:
  cursor | 設定する位置
Implements Lamp::SoundReader. Definition at line 47 of file WaveReader.cpp. References Assert, and ErrorOut.

The documentation for this class was generated from the following files:

- WaveReader.h
- WaveReader.cpp